// Code generated by protoc-gen-go. DO NOT EDIT.
// source: google/cloud/securitycenter/v1beta1/source.proto

package securitycenter

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Security Center's finding source. A finding source is an entity or a
// mechanism that can produce a finding. A source can also be thought of as a
// container of findings that come from the same scanner, logger, monitor, etc.
type Source struct {
	// The relative resource name of this source. See:
	// https://cloud.google.com/apis/design/resource_names#relative_resource_name
	// Example:
	// "organizations/123/sources/456"
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// The source’s display name.
	// A source’s display name must be unique amongst its siblings, e.g.
	// no two sources with the same parent can share the same display name.
	// The display name must start and end with a letter or digit, may contain
	// letters, digits, spaces, hyphens and underscores and can be no longer
	// than 30 characters. This is captured by the regular expression:
	// [\p{L}\p{N}]({\p{L}\p{N}_- ]{0,28}[\p{L}\p{N}])?.
	DisplayName string `protobuf:"bytes,2,opt,name=display_name,json=displayName,proto3" json:"display_name,omitempty"`
	// The description of the source (max of 1024 characters).
	// Example:
	// "Cloud Security Scanner is a web security scanner for common
	// vulnerabilities in Google App Engine applications. It can automatically
	// scan and detect four common vulnerabilities, including cross-site-scripting
	// (XSS), Flash injection, mixed content (HTTP in HTTPS), and
	// outdated/insecure libraries."
	Description          string   `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Source) Reset()         { *m = Source{} }
func (m *Source) String() string { return proto.CompactTextString(m) }
func (*Source) ProtoMessage()    {}
func (*Source) Descriptor() ([]byte, []int) {
	return fileDescriptor_bf622434a85d65bb, []int{0}
}

func (m *Source) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Source.Unmarshal(m, b)
}
func (m *Source) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Source.Marshal(b, m, deterministic)
}
func (m *Source) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Source.Merge(m, src)
}
func (m *Source) XXX_Size() int {
	return xxx_messageInfo_Source.Size(m)
}
func (m *Source) XXX_DiscardUnknown() {
	xxx_messageInfo_Source.DiscardUnknown(m)
}

var xxx_messageInfo_Source proto.InternalMessageInfo

func (m *Source) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Source) GetDisplayName() string {
	if m != nil {
		return m.DisplayName
	}
	return ""
}

func (m *Source) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func init() {
	proto.RegisterType((*Source)(nil), "google.cloud.securitycenter.v1beta1.Source")
}

func init() {
	proto.RegisterFile("google/cloud/securitycenter/v1beta1/source.proto", fileDescriptor_bf622434a85d65bb)
}

var fileDescriptor_bf622434a85d65bb = []byte{
	// 215 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x90, 0x31, 0x4b, 0xc5, 0x30,
	0x14, 0x85, 0xa9, 0x4a, 0xc1, 0xd4, 0x29, 0x53, 0x11, 0x87, 0xaa, 0x83, 0x4e, 0x89, 0xc5, 0xd1,
	0xcd, 0x1f, 0x20, 0xa8, 0x9b, 0x8b, 0xdc, 0xa6, 0x97, 0x10, 0x48, 0x73, 0x43, 0x92, 0x0a, 0x05,
	0x7f, 0xfc, 0xa3, 0x69, 0xe0, 0xd1, 0xe5, 0xf1, 0xb6, 0x70, 0xce, 0xf9, 0x3e, 0x2e, 0x61, 0x2f,
	0x9a, 0x48, 0x5b, 0x94, 0xca, 0xd2, 0x3c, 0xca, 0x88, 0x6a, 0x0e, 0x26, 0x2d, 0x0a, 0x5d, 0xc2,
	0x20, 0xff, 0xfa, 0x01, 0x13, 0xf4, 0x32, 0xd2, 0x1c, 0x14, 0x0a, 0x1f, 0x28, 0x11, 0x7f, 0xdc,
	0x08, 0x91, 0x09, 0xb1, 0x27, 0x44, 0x21, 0x6e, 0xef, 0x8a, 0x16, 0xbc, 0x91, 0xe0, 0x1c, 0x25,
	0x48, 0x86, 0x5c, 0xdc, 0x14, 0x0f, 0xc0, 0xea, 0xef, 0xac, 0xe4, 0x9c, 0x5d, 0x39, 0x98, 0xb0,
	0xad, 0xba, 0xea, 0xf9, 0xfa, 0x2b, 0xbf, 0xf9, 0x3d, 0xbb, 0x19, 0x4d, 0xf4, 0x16, 0x96, 0xdf,
	0xdc, 0x5d, 0xe4, 0xae, 0x29, 0xd9, 0xc7, 0x3a, 0xe9, 0x58, 0x33, 0x62, 0x54, 0xc1, 0xf8, 0x55,
	0xdb, 0x5e, 0x96, 0xc5, 0x31, 0x7a, 0xff, 0x67, 0x4f, 0x8a, 0x26, 0x71, 0xc6, 0xad, 0x3f, 0x9f,
	0x65, 0xa4, 0xc9, 0x82, 0xd3, 0x82, 0x82, 0x96, 0x1a, 0x5d, 0xbe, 0x54, 0x6e, 0x15, 0x78, 0x13,
	0x4f, 0xfe, 0xd0, 0xdb, 0x3e, 0x1e, 0xea, 0x4c, 0xbf, 0x1e, 0x02, 0x00, 0x00, 0xff, 0xff, 0x4f,
	0x9a, 0xc3, 0x6d, 0x5e, 0x01, 0x00, 0x00,
}
